Package org.opengis.cite.ogcapifeatures10.conformance

# Enum Class SuiteAttribute

java.lang.Object
java.lang.Enum<SuiteAttribute>
org.opengis.cite.ogcapifeatures10.conformance.SuiteAttribute

All Implemented Interfaces:
  `Serializable`, `Comparable<SuiteAttribute>`, `Constable`

public enum SuiteAttribute extends Enum<SuiteAttribute>
An enumerated type defining ISuite attributes that may be set to constitute a shared test fixture.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `API_MODEL`
  Parsed OpenApi3 document resource /api; Added during execution.
  `CLIENT`
  A client component for interacting with HTTP endpoints.
  `COLLECTION_BY_ID`
  collectionId mapped to response of resource /collection/{collectionId}; Added during execution.
  `COLLECTION_CRS_BY_ID`
  collectionId mapped to parsed CRSs of resource /collection/{collectionId}; Added during execution.
  `COLLECTION_DEFAULT_CRS_BY_ID`
  collectionId mapped to parsed default CRS of resource /collection/{collectionId}; Added during execution.
  `COLLECTIONS`
  Parsed collections from resource /collections; Added during execution.
  `COLLECTIONS_RESPONSE`
  Response of resource /collections; Added during execution.
  `FEATUREIDS`
  Collection names assigned to a feature id parsed from resource /collections/{name}/items; Added during execution.
  `IUT`
  The root URL.
  `NO_OF_COLLECTIONS`
  The number of collections to test.
  `REQUIREMENTCLASSES`
  Requirement classes parsed from /conformance; Added during execution.
  `TEST_SUBJ_FILE`
  A File containing the test subject or a description of it.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  getName.
  `Class`
  `getType()`
  getType.
  `String`
  `toString()`
  `static SuiteAttribute`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SuiteAttribute[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLIENT

    public static final SuiteAttribute CLIENT
    A client component for interacting with HTTP endpoints.

  - ### IUT

    public static final SuiteAttribute IUT
    The root URL.

  - ### TEST_SUBJ_FILE

    public static final SuiteAttribute TEST_SUBJ_FILE
    A File containing the test subject or a description of it.

  - ### NO_OF_COLLECTIONS

    public static final SuiteAttribute NO_OF_COLLECTIONS
    The number of collections to test.

  - ### API_MODEL

    public static final SuiteAttribute API_MODEL
    Parsed OpenApi3 document resource /api; Added during execution.

  - ### REQUIREMENTCLASSES

    public static final SuiteAttribute REQUIREMENTCLASSES
    Requirement classes parsed from /conformance; Added during execution.

  - ### COLLECTIONS_RESPONSE

    public static final SuiteAttribute COLLECTIONS_RESPONSE
    Response of resource /collections; Added during execution.

  - ### COLLECTIONS

    public static final SuiteAttribute COLLECTIONS
    Parsed collections from resource /collections; Added during execution.

  - ### COLLECTION_BY_ID

    public static final SuiteAttribute COLLECTION_BY_ID
    collectionId mapped to response of resource /collection/{collectionId}; Added during execution.

  - ### COLLECTION_CRS_BY_ID

    public static final SuiteAttribute COLLECTION_CRS_BY_ID
    collectionId mapped to parsed CRSs of resource /collection/{collectionId}; Added during execution.

  - ### COLLECTION_DEFAULT_CRS_BY_ID

    public static final SuiteAttribute COLLECTION_DEFAULT_CRS_BY_ID
    collectionId mapped to parsed default CRS of resource /collection/{collectionId}; Added during execution.

  - ### FEATUREIDS

    public static final SuiteAttribute FEATUREIDS
    Collection names assigned to a feature id parsed from resource /collections/{name}/items; Added during execution.

- ## Method Details

  - ### values

    public static SuiteAttribute[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SuiteAttribute valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public Class getType()

    getType.

    Returns:
      a `Class` object

  - ### getName

    public String getName()

    getName.

    Returns:
      a `String` object

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<SuiteAttribute>`